//
// Texture+lightmap, with some mix of tangent space bump-mapped.
//
// ps2.0 - 1 pass, over-the-edge diffuse lighting, tweaks for bump+lightmap
// ps1.1 - 2 pass
// FFP - 1 pass, vertex lighting
// 

#include "_lib.fx"

float4x4	mWorld;
float4x4	mWorldView;
float4x4	mWVP;

texture tBase;
texture tLightMap;
texture tNormal;

sampler2D smpBase = sampler_state {
	Texture = (tBase);
    MipFilter = Linear;	MinFilter = Linear; MagFilter = Linear;
    AddressU = Wrap; AddressV = Wrap;
};
sampler2D smpLightMap = sampler_state {
	Texture = (tLightMap);
    MipFilter = Linear;	MinFilter = Linear; MagFilter = Linear;
    AddressU = Wrap; AddressV = Wrap;
};
sampler2D smpNormal = sampler_state {
	Texture = (tNormal);
    MipFilter = Linear;	MinFilter = Linear; MagFilter = Linear;
    AddressU = Wrap; AddressV = Wrap;
};


#include "bumpedLmap_20path.fx"
#include "bumpedLmap_11path.fx"
#include "bumpedLmap_FFpath.fx"
